From: Tom de Vries <tdevries@suse.de>
To: dwz@sourceware.org, jakub@redhat.com
Subject: [RFC] Add low-mem-vs-regular.sh test-case
Date: Tue, 01 Jan 2019 00:00:00 -0000 [thread overview]
Message-ID: <20190304072731.GA15143@delia> (raw)
Hi,
is the assumption on which this test-case is based correct?
That is: is the output of regular mode and low-mem mode expected to be
identical for all inputs?
Thanks,
- Tom
Add low-mem-vs-regular.sh test-case
2019-03-04 Tom de Vries <tdevries@suse.de>
* testsuite/dwz.tests/low-mem-vs-regular.sh: New test.
---
testsuite/dwz.tests/low-mem-vs-regular.sh | 20 ++++++++++++++++++++
1 file changed, 20 insertions(+)
diff --git a/testsuite/dwz.tests/low-mem-vs-regular.sh b/testsuite/dwz.tests/low-mem-vs-regular.sh
new file mode 100755
index 0000000..cbf9479
--- /dev/null
+++ b/testsuite/dwz.tests/low-mem-vs-regular.sh
@@ -0,0 +1,20 @@
+#!/bin/sh
+
+set -e
+
+cp ../hello 1
+
+dwz -l0 1 -o 2
+dwz 1 -o 3
+cmp 2 3
+
+smaller-than.sh 2 1
+smaller-than.sh 3 1
+
+cmp 2 3
+
+ls=$(ls)
+ls=$(echo $ls)
+[ "$ls" = "1 2 3" ]
+
+rm -f 1 2 3
reply other threads:[~2019-03-04 7:26 UTC|newest]
Thread overview: [no followups] expand[flat|nested] mbox.gz Atom feed
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=20190304072731.GA15143@delia \
--to=tdevries@suse.de \
--cc=dwz@sourceware.org \
--cc=jakub@redhat.com \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).